> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get an A/B test email campaign results

GET https://api.brevo.com/v3/emailCampaigns/{campaignId}/abTestCampaignResult

Obtain winning version of an A/B test email campaign

Reference: https://developers.brevo.com/reference/get-ab-test-campaign-result

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `campaignId` (long, required) — Id of the A/B test campaign

## Response

### 200

A/B test email campaign Result

- `clickRate` (string, optional) — Click rate for current winning version
- `clickedLinks` (object, optional)
  - `Version A` (list of object, required) — Information on clicked links for a particular version
    - `clickRate` (string, required) — Percentage of clicks of link with respect to total clicks
    - `clicksCount` (long, required) — Number of times a link is clicked
    - `link` (string, required) — URL of the link
  - `Version B` (list of object, required) — Information on clicked links for a particular version
    - `clickRate` (string, required) — Percentage of clicks of link with respect to total clicks
    - `clicksCount` (long, required) — Number of times a link is clicked
    - `link` (string, required) — URL of the link
- `openRate` (string, optional) — Open rate for current winning version
- `statistics` (object, optional)
  - `clicks` (object, required) — Percentage of a particular event for both versions
    - `Version A` (string, required) — percentage of an event for version A
    - `Version B` (string, required) — percentage of an event for version B
  - `complaints` (object, required) — Percentage of a particular event for both versions
    - `Version A` (string, required) — percentage of an event for version A
    - `Version B` (string, required) — percentage of an event for version B
  - `hardBounces` (object, required) — Percentage of a particular event for both versions
    - `Version A` (string, required) — percentage of an event for version A
    - `Version B` (string, required) — percentage of an event for version B
  - `openers` (object, required) — Percentage of a particular event for both versions
    - `Version A` (string, required) — percentage of an event for version A
    - `Version B` (string, required) — percentage of an event for version B
  - `softBounces` (object, required) — Percentage of a particular event for both versions
    - `Version A` (string, required) — percentage of an event for version A
    - `Version B` (string, required) — percentage of an event for version B
  - `unsubscribed` (object, required) — Percentage of a particular event for both versions
    - `Version A` (string, required) — percentage of an event for version A
    - `Version B` (string, required) — percentage of an event for version B
- `winningCriteria` (enum, optional) — Criteria chosen for winning version (Open/Click)
  - Allowed values: `Open`, `Click`
- `winningSubjectLine` (string, optional) — Subject Line of current winning version
- `winningVersion` (enum, optional) — Winning Campaign Info. pending = Campaign has been picked for sending and winning version is yet to be decided, tie = A tie happened between both the versions, notAvailable = Campaign has not yet been picked for sending.
  - Allowed values: `notAvailable`, `pending`, `tie`, `A`, `B`
- `winningVersionRate` (string, optional) — Open/Click rate for the winner version

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

A/B test Email Campaign not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "clickRate": "50%",
  "clickedLinks": {
    "Version A": [
      {
        "clickRate": "0%",
        "clicksCount": 0,
        "link": "https://google.com"
      },
      {
        "clickRate": "0%",
        "clicksCount": 0,
        "link": "https://youtube.com"
      }
    ],
    "Version B": [
      {
        "clickRate": "40%",
        "clicksCount": 2,
        "link": "http://www.github.com"
      },
      {
        "clickRate": "60%",
        "clicksCount": 3,
        "link": "http://www.stackoverflow.com"
      }
    ]
  },
  "openRate": "100%",
  "statistics": {
    "clicks": {
      "Version A": "0%",
      "Version B": "50%"
    },
    "complaints": {
      "Version A": "0%",
      "Version B": "0%"
    },
    "hardBounces": {
      "Version A": "0%",
      "Version B": "0%"
    },
    "openers": {
      "Version A": "20%",
      "Version B": "100%"
    },
    "softBounces": {
      "Version A": "0%",
      "Version B": "0%"
    },
    "unsubscribed": {
      "Version A": "20%",
      "Version B": "0%"
    }
  },
  "winningCriteria": "Click",
  "winningVersion": "B",
  "winningVersionRate": "0%"
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.emailCampaigns.getAbTestCampaignResult({
        campaignId: 1,
    });
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.email_campaigns.get_ab_test_campaign_result(
    campaign_id=1,
)

```

```php response
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->emailCampaigns->getAbTestCampaignResult(
    1,
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/emailCampaigns/1/abTestCampaignResult"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/emailCampaigns/1/abTestCampaignResult")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/emailCampaigns/1/abTestCampaignResult")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/emailCampaigns/1/abTestCampaignResult");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/emailCampaigns/1/abTestCampaignResult")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```